import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { SegmentProps } from '../Segment';
export interface SegmentedControlProps {
    activeTintColor?: string;
    inactiveTintColor?: string;
    initialSelectedName?: string;
    children: React.ReactElement<SegmentProps> | React.ReactElement<SegmentProps>[];
    onChangeValue?: (name: string) => void;
    style?: StyleProp<ViewStyle>;
}
export declare const SegmentedContext: React.Context<{
    selectedName: string | null | undefined;
    onChange: ((name: string) => void) | undefined;
}>;
export declare const SegmentedControl: ({ activeTintColor, children, inactiveTintColor, initialSelectedName, onChangeValue, style, }: SegmentedControlProps) => JSX.Element;
export default SegmentedControl;
